#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 43. Audio Utilities

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home

# kwave-24.12.2

## Introduction to KWave

The KWave package contains a KDE Frameworks based Sound Editor application.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/kwave-24.12.2.tar.xz

- Download MD5 sum: 8a336e3ff1885983e55c06b7bcd80d70

- Download size: 6.2 MB

- Estimated disk space required: 85 MB

- Estimated build time: 1.2 SBU (using parallelism=4)

### KWave Dependencies

#### Required

AudioFile-0.3.6, fftw-3.3.10, id3lib-3.8.3, and KDE Frameworks-6.11.0

#### Recommended

alsa-lib-1.2.13, FLAC-1.5.0, libogg-1.3.5, and PulseAudio-17.0

#### Optional

Doxygen-1.13.2

## Installation of KWave

Install KWave by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kwave
Installed Libraries: libkwave.so, libkwavegui.so, and 30 plugins
Installed Directories: $KF6_PREFIX/lib/plugins/kwave, $KF6_PREFIX/share/kwave, $KF6_PREFIX/share/doc/HTML/*/kwave

### Short Descriptions

kwave | is a sound editor built on the KDE Frameworks

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home